# Update payment labels

Add or remove labels for grouping and categorizing payments (e.g., campaign IDs, workflow tags, or batch identifiers). Labels are optional and mutable; they can be added or removed over the payment's lifetime.

Endpoint: PATCH /v3/payments/{paymentId}/labels
Version: 2026.04
Security: Bearer

## Security:

  - `Bearer` (unknown)
    http bearer JWT

## Path parameters:

  - `paymentId` (string, required)
    The unique ID that identifies the payment for which you want to update labels.

## Request body:

  - `application/json` (unknown)
    Labels to add to or remove from the payment.

## Request fields (application/json):

  - `labelsToAdd` (array)
    Application-defined labels for grouping and categorizing payments (e.g., campaign IDs, workflow tags, or batch identifiers). Labels are optional and mutable; they can be added or removed over the payment's lifetime.

## Response 200:

  - `200` (unknown)
    Successfully updated the payment labels.

## Response 200 fields (application/json):

  - `labels` (array, required)
    Application-defined labels for grouping and categorizing payments (e.g., campaign IDs, workflow tags, or batch identifiers). Labels are optional and mutable; they can be added or removed over the payment's lifetime.

## Response 400:

  - `400` (unknown)
    Invalid input variables for the request.

## Response 400 fields (application/json):

  - `errors` (array, required)
    List of payment errors

  - `errors.code` (string, required)
    A unique identifier for  the error
    Example: SYS_090

  - `errors.type` (string, required)
    A high-level categorization of the error, indicating the type of issue that occurred
    Example: SYSTEM_ERROR

  - `errors.title` (string, required)
    A brief, user-friendly description of the error
    Example: Internal server error

  - `errors.description` (string, required)
    A more detailed explanation of the error, potentially including information about what caused the error and the next steps
    Example: Unable to process the request due to an internal server error.

  - `errors.timestamp` (string, required)
    Example: 2024-11-21T14:15:22Z

  - `status` (integer, required)
    Error Response Status
    Example: 400

## Response 404:

  - `404` (unknown)
    Payment not found.

## Response 404 fields (application/json):

  - `errors` (array, required)
    List of payment errors

  - `errors.code` (string, required)
    A unique identifier for  the error
    Example: SYS_090

  - `errors.type` (string, required)
    A high-level categorization of the error, indicating the type of issue that occurred
    Example: SYSTEM_ERROR

  - `errors.title` (string, required)
    A brief, user-friendly description of the error
    Example: Internal server error

  - `errors.description` (string, required)
    A more detailed explanation of the error, potentially including information about what caused the error and the next steps
    Example: Unable to process the request due to an internal server error.

  - `errors.timestamp` (string, required)
    Example: 2024-11-21T14:15:22Z

  - `status` (integer, required)
    Error Response Status
    Example: 400

## Response 415:

  - `415` (unknown)
    Missing or unsupported Content-Type header.

## Response 415 fields (application/json):

  - `errors` (array, required)
    List of payment errors

  - `errors.code` (string, required)
    A unique identifier for  the error
    Example: SYS_090

  - `errors.type` (string, required)
    A high-level categorization of the error, indicating the type of issue that occurred
    Example: SYSTEM_ERROR

  - `errors.title` (string, required)
    A brief, user-friendly description of the error
    Example: Internal server error

  - `errors.description` (string, required)
    A more detailed explanation of the error, potentially including information about what caused the error and the next steps
    Example: Unable to process the request due to an internal server error.

  - `errors.timestamp` (string, required)
    Example: 2024-11-21T14:15:22Z

  - `status` (integer, required)
    Error Response Status
    Example: 400

## Response 500:

  - `500` (unknown)
    Internal processing error

## Response 500 fields (application/json):

  - `errors` (array, required)
    List of payment errors

  - `errors.code` (string, required)
    A unique identifier for  the error
    Example: SYS_090

  - `errors.type` (string, required)
    A high-level categorization of the error, indicating the type of issue that occurred
    Example: SYSTEM_ERROR

  - `errors.title` (string, required)
    A brief, user-friendly description of the error
    Example: Internal server error

  - `errors.description` (string, required)
    A more detailed explanation of the error, potentially including information about what caused the error and the next steps
    Example: Unable to process the request due to an internal server error.

  - `errors.timestamp` (string, required)
    Example: 2024-11-21T14:15:22Z

  - `status` (integer, required)
    Error Response Status
    Example: 400

## Response 400 examples:

  - `badRequest` (unknown)
    Default response when the request is malformed or a parameter fails validation.

  - `invalidRequestBody` (unknown)
    Returned when a field in the request body has an unexpected type or value.

## Response 404 examples:

  - `resourceNotFound` (unknown)
    Returned when no resource matches the supplied identifier.

## Response 415 examples:

  - `unsupportedMediaType` (unknown)
    Returned when the Content-Type header is missing or not supported.

## Response 500 examples:

  - `internalServerError` (unknown)
    Default response for an unhandled server-side failure.

